Web lists-archives.com

FAQ: Jessie





There have been a lot of questions about jessie,
jessie-backports and jessie-updates.

Answers are here:
https://www.lucas-nussbaum.net/blog/?p=947


Summary from the end:

----
The jessie-backports suite was archived on archive.debian.org,
so you can use:

deb http://archive.debian.org/debian/ jessie-backports main contrib non-free

deb-src http://archive.debian.org/debian/ jessie-backports main contrib non-free

But then you will run into another issue:

E: Release file for
http://archive.debian.org/debian/dists/jessie-backports/InRelease
is expired (invalid since 36d 1h 9min 51s). Updates for this
repository will not be applied.

Unfortunately, with the APT version in jessie, this cannot be
ignored on a per source basis (it can with the APT version from
stretch, using the deb [check-valid-until=no] ... syntax). So
you need to disable this check globally, using:

echo 'Acquire::Check-Valid-Until no;' > /etc/apt/apt.conf.d/99no-check-valid-until

After that, apt-get update just works.

----